Bug 205319 - (perl-Params-Coerce) Review Request: perl-Params-Coerce - Allows your classes to do coercion of parameters
Review Request: perl-Params-Coerce - Allows your classes to do coercion of pa...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/Params-Co...
:
Depends On:
Blocks: FE-ACCEPT perl-Moose
  Show dependency treegraph
 
Reported: 2006-09-05 20:02 EDT by Chris Weyl
Modified: 2012-02-15 19:09 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 12:42:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-09-05 20:02:03 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Params-Coerce-0.13-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Params-Coerce.spec

Description:
A big part of good API design is that we should be able to be flexible in
the ways that we take parameters.
Comment 1 Jason Tibbitts 2006-09-07 01:25:35 EDT
I have to say that the %description leaves a bit to be desired.  Could you
perhaps add the second paragraph from the DESCRIPTION section of the documentation?

* source files match upstream:
   b87babce7c8c5869045fff7d1fc9958f  Params-Coerce-0.13.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(Params::Coerce) = 0.13
   perl-Params-Coerce = 0.13-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Params::Util)
   perl(Scalar::Util)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=5, Tests=48,  0 wallclock secs ( 0.16 cusr +  0.08 csys =  0.24 CPU)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Chris Weyl 2006-09-07 12:42:29 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+Request branching  (FC-5)
+Close bug

(In reply to comment #1)
> I have to say that the %description leaves a bit to be desired.  Could you
> perhaps add the second paragraph from the DESCRIPTION section of the
documentation?

Added.
Comment 3 Chris Weyl 2007-04-19 18:18:35 EDT
Please branch for EL-4, EL-5.
Comment 4 Fedora Update System 2012-02-15 19:09:36 EST
perl-Params-Coerce-0.14-11.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Params-Coerce-0.14-11.el4

Note You need to log in before you can comment on or make changes to this bug.